Get Payments

get

/payment

Gets the payments that match the specified query criteria.

Request

Query Parameters
  • The type of object to return: Payment for a base object or PaymentOracle for an extended object.
  • Retrieves the payments from the account with the specified ID or account number.
    Examples

  • Retrieves the payments associated with the specified bill ID or bill number.
    Examples

  • The comma-separated list of fields to return in the response.
    Examples

  • Retrieves the payment with the specified payment item ID or payment item number.
    Examples

  • The maximum number of results to return.
    Examples

  • The number of results to offset the response by.
    Examples

  • Retrieves the payments with a paymentDate that matches the specified date and time.
    Examples

  • Retrieves the payments with a paymentDate that is greater than the specified date and time.
    Examples

  • Retrieves the payments with a paymentDate that is greater than or equal to the specified date and time.
    Examples

  • Retrieves the payments with a paymentDate that is less than the specified date and time.
    Examples

  • Retrieves the payments with a paymentDate that is less than or equal to the specified date and time.
    Examples

  • Retrieves the payments with the specified status. The only valid value is Unallocated.
    Examples

  • Retrieves the payments with a totalAmount that is equal to the specified amount.
    Examples

  • Retrieves the payments with a totalAmount that is greater than the specified amount.
    Examples

  • Retrieves the payments with a totalAmount that is greater than or equal to the specified amount.
    Examples

  • Retrieves the payments with a totalAmount that is less than the specified amount.
    Examples

  • Retrieves the payments with a totalAmount that is less than or equal to the specified amount.
    Examples

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

The payments were retrieved successfully.
Headers
Body ()
Root Schema : schema
Type: array
Show Source
  • Payment
    Title: Payment
    A payment, including information about the payment, the payment amount, and the payment method.
Nested Schema : Payment
Type: object
Title: Payment
A payment, including information about the payment, the payment amount, and the payment method.
Show Source
Nested Schema : AccountRef
Type: object
Refers to an account. An account may be a party account or a financial account.
Match All
Refers to an account. An account may be a party account or a financial account.
Show Source
Nested Schema : Money
Type: object
Represents a monetary amount.
Show Source
Nested Schema : ChannelRef
Type: object
A reference to a channel.
Show Source
Nested Schema : Related Party
Type: object
Title: Related Party
A party related to another object.
Show Source
Nested Schema : paymentItem
Type: array
Payment items that can be assigned to bills.
Show Source
Nested Schema : Payment Method Ref Or Value
Type: object
Title: Payment Method Ref Or Value
A link to the resource containing information about the payment method.
Show Source
Nested Schema : EntityRef
Match All
Represents an entity reference schema for EntityRef classes.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Addressable
Type: object
Defines a base schema for addressable entities.
Show Source
Nested Schema : EntityRef-allOf[2]
Type: object
Represents an entity reference schema for EntityRef classes.
Show Source
Nested Schema : Payment Item
Type: object
Title: Payment Item
A portion of a payment that can be assigned to a bill.
Show Source
Nested Schema : account
Type: array
Accounts associated with the payment method.
Show Source
Nested Schema : TimePeriod
Type: object
Represents a time period with a start date, an end date, or both.
Show Source

400 Response

The request isn't valid.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

401 Response

The client doesn't have the correct privileges.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

403 Response

The request wasn't authorized.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

404 Response

The requested resource couldn't be found.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

405 Response

This method is not allowed.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

409 Response

The request could not be processed due to the conflict with the existing state of the resource.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

500 Response

The system encountered an internal error.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source
Back to Top

Examples

Example 1: Get Payments with Account ID Query Parameter

The following example shows how to get payments by submitting a GET request on the REST resource using cURL. For more information about cURL, see Use cURL.

The request uses the account.id query parameter to limit the results.

curl -X GET 'http://host:port/brm/payment/version/payment?account.id=0.0.0.1+-account+228862'

Response Body

The following example shows the contents of the response body in JSON format.

[
   {
      "id": "0.0.0.1+-item-payment+222690",
      "href": "http://host:port/brm/payment/version/payment/0.0.0.1+-item-payment+222690",
      "authorizationCode": "pinXXX",
      "correlatorId": "P1-8",
      "description": "Credit Card Payment",
      "name": "Billing Event Log",
      "paymentDate": "2025-01-08T07:38:46-08:00",
      "status": "Allocated",
      "statusDate": "2025-01-08T07:38:46-08:00",
      "account": {
         "id": "0.0.0.1+-account+228862",
         "href": null,
         "description": null,
         "name": "Adam Baker",
         "@baseType": null,
         "@schemaLocation": null,
         "@type": null,
         "@referredType": "billingAccount"
      },
      "amount": null,
      "channel": {
         "id": "0",
         "href": null,
         "name": "Unspecified",
         "@baseType": null,
         "@schemaLocation": null,
         "@type": null,
         "@referredType": null
      },
      "payer": null,
      "paymentItem": null,
      "paymentMethod": {
         "id": null,
         "href": null,
         "description": null,
         "isPreferred": null,
         "name": "Credit Card",
         "status": null,
         "statusDate": null,
         "account": null,
         "relatedParty": null,
         "validFor": null,
         "@baseType": "PaymentMethodRefOrValue",
         "@schemaLocation": null,
         "@type": "PaymentMethodRefOrValue",
         "@referredType": null
      },
      "taxAmount": null,
      "totalAmount": {
         "unit": "USD",
         "value": 50.0
      },
      "@baseType": "Payment",
      "@schemaLocation": null,
      "@type": "Payment"
    },
    {
      "id": "0.0.0.1+-item-payment+221042",
      "href": "http://host:port/brm/payment/version/payment/0.0.0.1+-item-payment+221042",
      "authorizationCode": null,
      "correlatorId": "P1-7",
      "description": "",
      "name": "Billing Event Log",
      "paymentDate": "2025-01-08T07:33:05-08:00",
      "status": "Allocated",
      "statusDate": "2025-01-08T07:33:05-08:00",
      "account": {
         "id": "0.0.0.1+-account+228862",
         "href": null,
         "description": null,
         "name": "Adam Baker",
         "@baseType": null,
         "@schemaLocation": null,
         "@type": null,
         "@referredType": "billingAccount"
      },
      "amount": null,
      "channel": {
         "id": "0",
         "href": null,
         "name": "Unspecified",
         "@baseType": null,
         "@schemaLocation": null,
         "@type": null,
         "@referredType": null
      },
      "payer": null,
      "paymentItem": [
         {
            "id": "0.0.0.1+-bill+226434",
            "amount": null,
            "item": {
               "id": "B1-31",
               "href": "http://host:port/brm/customerBillManagement/version/customerBill/0.0.0.1+-bill+226434",
               "name": null,
               "@baseType": "CustomerBill",
               "@schemaLocation": null,
               "@type": "CustomerBill",
               "@referredType": null
            },
            "taxAmount": null,
            "totalAmount": {
               "unit": "USD",
               "value": 55.0
            },
            "@baseType": "PaymentItem",
            "@schemaLocation": null,
            "@type": "PaymentItem"
         }
      ],
      "paymentMethod": {
         "id": null,
         "href": null,
         "description": null,
         "isPreferred": null,
         "name": "Cash",
         "status": null,
         "statusDate": null,
         "account": null,
         "relatedParty": null,
         "validFor": null,
         "@baseType": "PaymentMethodRefOrValue",
         "@schemaLocation": null,
         "@type": "Cash",
         "@referredType": null
      },
      "taxAmount": null,
      "totalAmount": {
         "unit": "USD",
         "value": 200.0
      },
      "@baseType": "Payment",
      "@schemaLocation": null,
      "@type": "Payment"
   }
]

Example 2: Get Payments with Bill Number Query Parameter

The following example shows how to get payments by submitting a GET request on the REST resource using cURL. For more information about cURL, see Use cURL.

The request uses the bill.id query parameter set to a bill number to limit the results.

curl -X GET 'http://host:port/brm/payment/version/payment?bill.id=Bill-123'

Response Body

The following example shows the contents of the response body in JSON format.

[
    {
      "id": "0.0.0.1+-item-payment+123456",
      "href": "http://host:port/brm/payment/version/payment/0.0.0.1+-item-payment+123456",
      "authorizationCode": "pinXXX",
      "correlatorId": "P1-10",
      "description": "Credit Card Payment",
      "name": "Billing Event Log",
      "paymentDate": "2025-01-08T07:38:46-08:00",
      "status": "Allocated",
      "statusDate": "2025-01-08T07:38:46-08:00",
      "account": {
         "id": "0.0.0.1+-account+099876",
         "href": null,
         "description": null,
         "name": "Mark Miller",
         "@baseType": null,
         "@schemaLocation": null,
         "@type": null,
         "@referredType": "billingAccount"
      },
      "amount": null,
      "channel": {
         "id": "0",
         "href": null,
         "name": "Unspecified",
         "@baseType": null,
         "@schemaLocation": null,
         "@type": null,
         "@referredType": null
      },
      "payer": null,
      "paymentItem": null,
      "paymentMethod": {
         "id": null,
         "href": null,
         "description": null,
         "isPreferred": null,
         "name": "Credit Card",
         "status": null,
         "statusDate": null,
         "account": null,
         "relatedParty": null,
         "validFor": null,
         "@baseType": "PaymentMethodRefOrValue",
         "@schemaLocation": null,
         "@type": "PaymentMethodRefOrValue",
         "@referredType": null
      },
      "taxAmount": null,
      "totalAmount": {
         "unit": "EUR",
         "value": 158.50
      },
      "@baseType": "Payment",
      "@schemaLocation": null,
      "@type": "Payment"
   },
]
Back to Top